

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_ter_tercero_listaprecio]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_ter_tercero_listaprecio]
GO
CREATE PROCEDURE [reg_ter_tercero_listaprecio]
	@p_id INT
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[tercero_listaprecio] AS [tercero_listaprecio],
		[id_tercero] AS [id_tercero],
		[id_listaprecio] AS [id_listaprecio]
	FROM [ter_tercero_listaprecio]
	WHERE	(id = @p_id)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_ter_tercero_listaprecio]')) DROP VIEW [dbo].[view_ter_tercero_listaprecio]
GO
CREATE  VIEW [view_ter_tercero_listaprecio] AS
SELECT 	[ter_tercero_listaprecio].[id] AS [id],
		[ter_tercero_listaprecio].[uid] AS [uid],
		[ter_tercero_listaprecio].[eid] AS [eid],
		[ter_tercero_listaprecio].[id_usuario_modifico] AS [id_usuario_modifico],
		[ter_tercero_listaprecio].[id_usuario_creo] AS [id_usuario_creo],
		[ter_tercero_listaprecio].[fechaModificacion] AS [fechaModificacion],
		[ter_tercero_listaprecio].[fechaCreacion] AS [fechaCreacion],
		[ter_tercero_listaprecio].[active] AS [active],
		[ter_tercero_listaprecio].[tercero_listaprecio] AS [tercero_listaprecio],
		[ter_tercero_listaprecio].[id_tercero] AS [id_tercero],
[ter_tercero].[tercero] as [ter_tercero_tercero],
[ter_tercero].[tercero_codigo] as [ter_tercero_tercero_codigo],
[ter_tercero].[tercero_nit] as [ter_tercero_tercero_nit],
[ter_tercero].[direccion] as [ter_tercero_direccion],
[ter_tercero].[contacto] as [ter_tercero_contacto],
[ter_tercero].[telefono] as [ter_tercero_telefono],
[ter_tercero].[fax] as [ter_tercero_fax],
[ter_tercero].[email] as [ter_tercero_email],
[ter_tercero].[website] as [ter_tercero_website],
[ter_tercero].[representante] as [ter_tercero_representante],
[ter_tercero].[notas] as [ter_tercero_notas],
[ter_tercero].[tercero_nombreCorto] as [ter_tercero_tercero_nombreCorto],
[ter_tercero].[esCliente] as [ter_tercero_esCliente],
[ter_tercero].[esProveedor] as [ter_tercero_esProveedor],
[ter_tercero].[esTransportador] as [ter_tercero_esTransportador],
[ter_tercero].[esFabricante] as [ter_tercero_esFabricante],
[ter_tercero].[esEmpresaPropia] as [ter_tercero_esEmpresaPropia],
[ter_tercero].[clasificacion] as [ter_tercero_clasificacion],
[ter_tercero].[id_zona] as [ter_tercero_id_zona],
[ter_tercero].[id_estadoTercero] as [ter_tercero_id_estadoTercero],
[ter_tercero].[id_naturalezaTercero] as [ter_tercero_id_naturalezaTercero],
[ter_tercero].[esProspecto] as [ter_tercero_esProspecto],
		[ter_tercero_listaprecio].[id_listaprecio] AS [id_listaprecio],
[cat_listaPrecio].[listaPrecio] as [cat_listaPrecio_listaPrecio],
[cat_listaPrecio].[listaPrecio_codigo] as [cat_listaPrecio_listaPrecio_codigo],
[cat_listaPrecio].[porcentajeDescuento] as [cat_listaPrecio_porcentajeDescuento],
[cat_listaPrecio].[esPrivado] as [cat_listaPrecio_esPrivado],
[cat_listaPrecio].[id_moneda] as [cat_listaPrecio_id_moneda],
		[empresaCodigo].[empresa] As [multiempresa]
FROM [ter_tercero_listaprecio]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[ter_tercero_listaprecio].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[ter_tercero_listaprecio].[id_usuario_creo]
	INNER JOIN [ter_tercero] ON [ter_tercero].id=[ter_tercero_listaprecio].[id_tercero]
	INNER JOIN [cat_listaPrecio] ON [cat_listaPrecio].id=[ter_tercero_listaprecio].[id_listaprecio]
	INNER JOIN [gen_empresa] AS empresaCodigo ON [ter_tercero_listaprecio].eid = [empresaCodigo].[codigo] and empresaCodigo.active=1
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_ter_tercero_listapreciosXusuario_modifico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_ter_tercero_listapreciosXusuario_modifico]
GO
CREATE PROCEDURE [sel_ter_tercero_listapreciosXusuario_modifico]
	@p_id_usuario_modifico INT
AS
BEGIN
	SELECT * 
	FROM [view_ter_tercero_listaprecio]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_ter_tercero_listapreciosXusuario_creo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_ter_tercero_listapreciosXusuario_creo]
GO
CREATE PROCEDURE [sel_ter_tercero_listapreciosXusuario_creo]
	@p_id_usuario_creo INT
AS
BEGIN
	SELECT * 
	FROM [view_ter_tercero_listaprecio]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_ter_tercero_listapreciosXtercero]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_ter_tercero_listapreciosXtercero]
GO
CREATE PROCEDURE [sel_ter_tercero_listapreciosXtercero]
	@p_id_tercero INT
AS
BEGIN
	SELECT * 
	FROM [view_ter_tercero_listaprecio]
	WHERE ([id_tercero]= @p_id_tercero)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_ter_tercero_listapreciosXlistaprecio]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_ter_tercero_listapreciosXlistaprecio]
GO
CREATE PROCEDURE [sel_ter_tercero_listapreciosXlistaprecio]
	@p_id_listaprecio INT
AS
BEGIN
	SELECT * 
	FROM [view_ter_tercero_listaprecio]
	WHERE ([id_listaprecio]= @p_id_listaprecio)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_ter_tercero_listaprecios]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_ter_tercero_listaprecios]
GO
CREATE PROCEDURE [sel_ter_tercero_listaprecios]
	
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_ter_tercero_listaprecio]
WHERE (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_ter_tercero_listaprecios]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_ter_tercero_listaprecios]
GO
CREATE PROCEDURE [lis_ter_tercero_listaprecios]
	AS
BEGIN
	SELECT id AS id,
[tercero_listaprecio] AS [ter_tercero_listaprecio]
	FROM [ter_tercero_listaprecio]
	WHERE active = 1
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[upd_ter_tercero_listaprecio]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[upd_ter_tercero_listaprecio]
GO
CREATE PROCEDURE [upd_ter_tercero_listaprecio]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_tercero_listaprecio varchar(300) = null,
		@p_id_tercero int = null,
		@p_id_listaprecio int = null
AS
BEGIN
		UPDATE [ter_tercero_listaprecio]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[tercero_listaprecio] = isnull(@p_tercero_listaprecio,[tercero_listaprecio]),
			[id_tercero] = isnull(@p_id_tercero,[id_tercero]),
			[id_listaprecio] = isnull(@p_id_listaprecio,[id_listaprecio])
		WHERE (id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_ter_tercero_listaprecio]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[ins_ter_tercero_listaprecio]
GO
CREATE PROCEDURE [ins_ter_tercero_listaprecio]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_tercero_listaprecio varchar(300),
		@p_id_tercero int,
		@p_id_listaprecio int
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [ter_tercero_listaprecio]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[tercero_listaprecio],
			[id_tercero],
			[id_listaprecio])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_tercero_listaprecio,
			@p_id_tercero,
			@p_id_listaprecio)
		SET @v_id = scope_identity()
UPDATE [ter_tercero_listaprecio] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[act_ter_tercero_listaprecio]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[act_ter_tercero_listaprecio]
GO
CREATE PROCEDURE [act_ter_tercero_listaprecio]
	@p_active BIT,
	@p_id INT,
@p_id_usuario_modifico int = null
AS
BEGIN
	UPDATE [ter_tercero_listaprecio]
	SET active=@p_active,
	[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
	[fechaModificacion] = GETDATE()
	WHERE	(id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_ter_tercero_listaprecio_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_ter_tercero_listaprecio_m]
GO
CREATE PROCEDURE [reg_ter_tercero_listaprecio_m]
	@p_id INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[tercero_listaprecio] AS [tercero_listaprecio],
		[id_tercero] AS [id_tercero],
		[id_listaprecio] AS [id_listaprecio]
	FROM [ter_tercero_listaprecio]
	WHERE	(id = @p_id)
	AND	(eid LIKE @p_eid+'%')

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_ter_tercero_listapreciosXusuario_modifico_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_ter_tercero_listapreciosXusuario_modifico_m]
GO
CREATE PROCEDURE [sel_ter_tercero_listapreciosXusuario_modifico_m]
	@p_id_usuario_modifico INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_ter_tercero_listaprecio]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_ter_tercero_listapreciosXusuario_creo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_ter_tercero_listapreciosXusuario_creo_m]
GO
CREATE PROCEDURE [sel_ter_tercero_listapreciosXusuario_creo_m]
	@p_id_usuario_creo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_ter_tercero_listaprecio]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_ter_tercero_listapreciosXtercero_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_ter_tercero_listapreciosXtercero_m]
GO
CREATE PROCEDURE [sel_ter_tercero_listapreciosXtercero_m]
	@p_id_tercero INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_ter_tercero_listaprecio]
	WHERE ([id_tercero]= @p_id_tercero)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_ter_tercero_listapreciosXlistaprecio_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_ter_tercero_listapreciosXlistaprecio_m]
GO
CREATE PROCEDURE [sel_ter_tercero_listapreciosXlistaprecio_m]
	@p_id_listaprecio INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_ter_tercero_listaprecio]
	WHERE ([id_listaprecio]= @p_id_listaprecio)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_ter_tercero_listaprecios_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_ter_tercero_listaprecios_m]
GO
CREATE PROCEDURE [sel_ter_tercero_listaprecios_m]
	@p_eid as varchar (50)='',
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_ter_tercero_listaprecio]
WHERE  (eid like '''+@p_eid+'%'+''' ) AND (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_ter_tercero_listaprecios_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_ter_tercero_listaprecios_m]
GO
CREATE PROCEDURE [lis_ter_tercero_listaprecios_m]
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT id AS id,
[tercero_listaprecio] AS [ter_tercero_listaprecio]
	FROM [ter_tercero_listaprecio]
	WHERE active = 1
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aud_ter_tercero_listaprecio]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[aud_ter_tercero_listaprecio]
GO
CREATE PROCEDURE [aud_ter_tercero_listaprecio]
	@p_filtro as varchar (8000) = '1=1'
AS
BEGIN
exec(	'SELECT [ter_tercero_listaprecio].id as id_tabla,
	[ter_tercero_listaprecio].id_usuario_modifico as id_usuario_modifico,
	[ter_tercero_listaprecio].id_usuario_creo as id_usuario_creo,
	[ter_tercero_listaprecio].fechaModificacion as fechaModificacion,
	[ter_tercero_listaprecio].fechaCreacion as fechaCreacion,
	[ter_tercero_listaprecio].active as active,
	[ter_tercero_listaprecio].[tercero_listaprecio] as campoPrincipal,
	[seg_usuario_creo].usuario as usuarioCreo,
	[seg_usuario_modifico].usuario as usuarioModifico

	FROM [ter_tercero_listaprecio]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[ter_tercero_listaprecio].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[ter_tercero_listaprecio].[id_usuario_creo]
	where ' + @p_filtro)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
print 'ter_tercero_listaprecio'
-----------------------------------17/11/2016 15:45:26